CADxp: Modélisation garde corps - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Modélisation garde corps

#1 L'utilisateur est hors-ligne   Pierre-Yves 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 30-janvier 15

Posté 02 janvier 2017 - 16:26

Bonjour à tous et bonne année,

Je suis actuellement en train de modéliser un projet de voirie en 3d.

pour les besoins du projet je doit modéliser un garde corps qui suis le tracer du trottoir. Seulement voila je ne sais pas trop comment faire.

J'ai essayer en faisant un réseau selon trajectoire mais j'ai des décalages important. Insérer éléments par élément me semble très compliqué.

Je fais donc appel à votre savoir faire.

Quelqu'un aurait t il une solution à m'apporter?

Merci d'avance.

lien fichier:
Wetransfer
AutoCad Map 3D 2016, COVADIS 15
0

#2 L'utilisateur est hors-ligne   Titi95 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2061
  • Inscrit(e) : 22-septembre 10
  • Location95 / 78

Posté 02 janvier 2017 - 16:35

Salut et bonne année

tout dabort ton fichier ne respect pas le sense de la hauteur, sur le viewcub si on clic sur dessus on a une élévation (au lieu du dessus)

ensuite sur autocad simple effectivement ca va etre plus complex mais avec un peu de technique pas non plus trop long avec une copie en vue de dessus du garde corps et une orientation d'axe à axe et un accrochage rapide sur le chemin.

Et ensuite tu devras adapter les cas particuliers de longueur différentes


PS: attention a ne pas mélanger le surfacique avec le solide, avec les petits cylindres de jonctions
0

#3 L'utilisateur est hors-ligne   Pierre-Yves 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 30-janvier 15

Posté 02 janvier 2017 - 16:44

Voir le messageTiti95, le 02 janvier 2017 - 16:35 , dit :

Salut et bonne année

tout dabort ton fichier ne respect pas le sense de la hauteur, sur le viewcub si on clic sur dessus on a une élévation (au lieu du dessus)

ensuite sur autocad simple effectivement ca va etre plus complex mais avec un peu de technique pas non plus trop long avec une copie en vue de dessus du garde corps et une orientation d'axe à axe et un accrochage rapide sur le chemin.

Et ensuite tu devras adapter les cas particuliers de longueur différentes


PS: attention a ne pas mélanger le surfacique avec le solide, avec les petits cylindres de jonctions


bonjour Titi95,

le fichier que j'ai envoyé est un copier coller de mon fichier général et effectivement il y a un problème de vue et je ne sais pas comment le rétablir?

En ce qui concerne la manip que tu me donnes je t'avoue que je n'ai pas tout saisi... Image IPB
AutoCad Map 3D 2016, COVADIS 15
0

#4 L'utilisateur est hors-ligne   Pierre-Yves 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 30-janvier 15

Posté 02 janvier 2017 - 16:48

Voir le messageTiti95, le 02 janvier 2017 - 16:35 , dit :

Salut et bonne année

tout dabort ton fichier ne respect pas le sense de la hauteur, sur le viewcub si on clic sur dessus on a une élévation (au lieu du dessus)

ensuite sur autocad simple effectivement ca va etre plus complex mais avec un peu de technique pas non plus trop long avec une copie en vue de dessus du garde corps et une orientation d'axe à axe et un accrochage rapide sur le chemin.

Et ensuite tu devras adapter les cas particuliers de longueur différentes


PS: attention a ne pas mélanger le surfacique avec le solide, avec les petits cylindres de jonctions


Pour les cylindre de raccordement merci de ton observation je n'avais pas vu. Je vais modifier cela de suite
AutoCad Map 3D 2016, COVADIS 15
0

#5 L'utilisateur est hors-ligne   Titi95 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2061
  • Inscrit(e) : 22-septembre 10
  • Location95 / 78

Posté 02 janvier 2017 - 16:54

Pour le rétablir il faut faire une rotation de tout le dessin dans le bon sense, quand on travail en 3D il vaut mieux respecter le sens, la navigation et manipulation est plus naturel.

pour ton garde corps, tu isoles juste le chemin et l'élément gris du garde corps, tu copie plusieurs fois l'éléments par son centre du pied puis tu les orientes en vue de dessus sur le chemin avec la technique cité plus haut

PS: ton garde corps est un solid... même pas un bloc en cas de changement de model ou besoin de modification tu dois tout te retaper !
Un conseil cré toi un bloc ou mieux un Xref de ce garde corps.

Sinon il doit bien exister un lisp qui aligne des blocs a une ligne mais tu feras quand même les adaptations dans les petites longueurs

Attention a prendre un bon départ aussi, ton garde corps n'a pas les pieds (gros cylindre) bien axé sur les barrieres d'ou la nécessité d'un bloc
0

#6 L'utilisateur est hors-ligne   Pierre-Yves 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 30-janvier 15

Posté 02 janvier 2017 - 16:58

Voir le messageTiti95, le 02 janvier 2017 - 16:54 , dit :

Pour le rétablir il faut faire une rotation de tout le dessin dans le bon sense, quand on travail en 3D il vaut mieux respecter le sens, la navigation et manipulation est plus naturel.

pour ton garde corps, tu isoles juste le chemin et l'élément gris du garde corps, tu copie plusieurs fois l'éléments par son centre du pied puis tu les orientes en vue de dessus sur le chemin avec la technique cité plus haut

PS: ton garde corps est un solid... même pas un bloc en cas de changement de model ou besoin de modification tu dois tout te retaper !
Un conseil cré toi un bloc ou mieux un Xref de ce garde corps.

Sinon il doit bien exister un lisp qui aligne des blocs a une ligne mais tu feras quand même les adaptations dans les petites longueurs


Merci pour tes conseils je vais essayer ca.

Pour la rotation du dessin je sens que je vais galérer (rires forts) mais on va bien voir.
AutoCad Map 3D 2016, COVADIS 15
0

#7 L'utilisateur est en ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 6807
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 02 janvier 2017 - 17:06

Hello

Si cela peut t'aider voici un exemple de 3DROTATION avec AutoCAD 201X ...

Le panneau de signalisation DDE est redresse a la verticale !

http://dl.free.fr/nXAqc3r1q

Bonne Annee et surtout LA SANTE, Bye, lecrabe
Image IPB
0

#8 L'utilisateur est hors-ligne   Pierre-Yves 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 30-janvier 15

Posté 02 janvier 2017 - 17:08

Voir le messagelecrabe, le 02 janvier 2017 - 17:06 , dit :

Hello

Si cela peut t'aider voici un exemple de 3DROTATION avec AutoCAD 201X ...

Le panneau de signalisation DDE est redresse a la verticale !

Bonne Annee et surtout LA SANTE, Bye, lecrabe


Merci le Crabe et bonne annéeà toi aussi.

Je suis arrivé à faire la rotation du dessin c'est beaucoup mieux maintenant.

Maintenant je dois essayer de placer mes éléments de garde corps sur la trajectoire. je vais bien rigoler (rires forts)
AutoCad Map 3D 2016, COVADIS 15
0

#9 L'utilisateur est hors-ligne   Titi95 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2061
  • Inscrit(e) : 22-septembre 10
  • Location95 / 78

Posté 02 janvier 2017 - 17:13

voici un début, dessin redressé, avec un garde corps en bloc


https://www.dropbox....VGtFDY6BVa?dl=0
0

#10 L'utilisateur est hors-ligne   Pierre-Yves 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 30-janvier 15

Posté 02 janvier 2017 - 17:20

Voir le messageTiti95, le 02 janvier 2017 - 17:13 , dit :

voici un début, dessin redressé, avec un garde corps en bloc


https://www.dropbox....VGtFDY6BVa?dl=0


Super merci beaucoup titi95.

Et du coup les blocs tu les insèrent à la chaine mais il y une commande pour suivre le chemin?
AutoCad Map 3D 2016, COVADIS 15
0

#11 L'utilisateur est hors-ligne   Titi95 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2061
  • Inscrit(e) : 22-septembre 10
  • Location95 / 78

Posté 02 janvier 2017 - 17:45

Voir le messageTiti95, le 02 janvier 2017 - 16:54 , dit :


pour ton garde corps, tu isoles juste le chemin et l'élément gris du garde corps, tu copie plusieurs fois l'éléments par son centre du pied puis tu les orientes en vue de dessus sur le chemin avec la technique cité plus haut

Sinon il doit bien exister un lisp qui aligne des blocs a une ligne mais tu feras quand même les adaptations dans les petites longueurs


0

#12 L'utilisateur est hors-ligne   philsogood 

  • ceinture noire 3em dan
  • Groupe : Membres
  • Messages : 1923
  • Inscrit(e) : 03-mars 10

Posté 02 janvier 2017 - 17:57

Citation

une rotation de tout le dessin dans le bon sense
Titi t'as pas eu un bescherelle pour Noel toi!! ;)
Bonne année
Phil
Projeteur génie énergétique - traitement de l'air
0

#13 L'utilisateur est en ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 6807
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 02 janvier 2017 - 18:06

Hello

Une routine "ALBLOC" qui aligne UN Bloc selectionne en suivant un Segment (Ligne ou Polyligne) selectionne
Je l'utilise souvent en 2D mais elle ne traite pas la 3D (A priori) !

A chaque CLIC le Bloc tourne de 90 degres et quand il est aligne comme tu le desires, tu arretes TOUT !

J'ai la MEME routine pour les Textes (Toujours par Gilles)

C'est encore notre Grand Maitre Gilles qui a "frappe" !

Bonne Annee et surtout LA SANTE, Bye, lecrabe


;; Une routine qui va permettre d'aligner après coup un BLOC sur un SEGMENT.
;; Ce segment peut être une droite, demi-droite, ligne , segment de polyligne ou LWpolyligne
;;
;; Par un simple clic tu peut ensuite faire tourner ce BLOC de 90° pour le mettre perpendiculaire au segment
;;
;; Commande: ALBLOC

(defun ainerr (ch)
(cond
((eq ch "Function cancelled") nil)
((eq ch "quit / exit abort") nil)
((eq ch "console break") nil)
(T (princ ch))
)
(setvar "cmdecho" 1)
(setvar "angdir" old_adir)
(setvar "angbase" old_abase)
(setvar "osmode" old_osmd)
(setq *error* olderr)
(princ)
)

(defun near_vertex_arr (obj / obj dxf_obj obj_vlax pt_sel par pt_first pt_snd i bulge e_next)
(setq dxf_obj (entget (car obj)))
(vl-load-com)
(setq
obj_vlax (vlax-ename->vla-object (car obj))
pt_sel (vlax-curve-getClosestPointTo obj_vlax (trans (osnap (cadr obj) "_near") 1 0))
par (vlax-curve-getParamAtPoint obj_vlax pt_sel)
pt_first (trans (vlax-curve-getPointAtParam obj_vlax (fix par)) 0 1)
pt_snd (trans (vlax-curve-getPointAtParam obj_vlax (1+ (fix par))) 0 1)
i 0
)
(cond
((eq (cdr (assoc 0 dxf_obj)) "LWPOLYLINE")
(while (or (/= (caar dxf_obj) 42) (if (< i (fix par)) (setq i (1+ i))))
(setq bulge (cdadr dxf_obj) dxf_obj (cdr dxf_obj))
)
)
(T
(setq e_next (entnext (car obj)))
(repeat (fix par) (setq e_next (entnext e_next)))
(setq bulge (cdr (assoc 42 (entget e_next))))
)
)
(list pt_first pt_snd bulge)
)

;; (defun c:Align_insert ( / olderr old_abase old_adir e_ins dxf_ins e_seg ent dxf_ent typent l_2pt dxf_11 x_alpha pt_base)
   (defun c:ALBLOC       ( / olderr old_abase old_adir e_ins dxf_ins e_seg ent dxf_ent typent l_2pt dxf_11 x_alpha pt_base)
(setq old_osmd (getvar "osmode") old_abase (getvar "angbase") old_adir (getvar "angdir"))
(setvar "osmode" 0)
(setvar "angbase" 0)
(setvar "angdir" 0)
(setvar "cmdecho" 0)
(setq olderr *error* *error* ainerr)
(while (null (setq e_ins (entsel "\nChoix du bloc à aligner: "))))
(cond
((= (setq typent (cdr (assoc 0 (setq dxf_ins (entget (car e_ins)))))) "INSERT")
(while (null (setq e_seg (entsel "\nAligner le bloc sur le segment --> "))))
(setq typent (cdr (assoc 0 (setq dxf_ent (entget (car e_seg))))))
(cond
((or (eq typent "XLINE") (eq typent "RAY"))
(setq dxf_11 (cdr (assoc 11 dxf_ent)))
(setq x_alpha (atan (/ (cadr dxf_11) (car dxf_11))))
(grdraw (trans (cdr (assoc 10 dxf_ent)) 0 1) (polar (trans (cdr (assoc 10 dxf_ent)) 0 1) x_alpha (distance (getvar "vsmin") (getvar "vsmax"))) -1 1)
)
((eq typent "LINE")
(setq x_alpha (angle (cdr (assoc 10 dxf_ent)) (cdr (assoc 11 dxf_ent))))
(grdraw (trans (cdr (assoc 10 dxf_ent)) 0 1) (trans (cdr (assoc 11 dxf_ent)) 0 1) -1 1)
)
((or (eq typent "LWPOLYLINE")
(and
(eq typent "POLYLINE")
(zerop (boole 1 118 (cdr (assoc 70 dxf_ent))))
)
)
(setq l_2pt (near_vertex_arr e_seg))
(grdraw (car l_2pt) (cadr l_2pt) -1 1)
(if (zerop (caddr l_2pt))
(setq x_alpha (angle (trans (car l_2pt) 1 0) (trans (cadr l_2pt) 1 0)))
(progn (setq x_alpha nil) (princ "\nNe peut obtenir un angle depuis ce type d'objet!"))
)
)
(T
(princ "\nNe peut obtenir un angle depuis ce type d'objet!")
(redraw)
)
)
(cond 
(x_alpha
(setq pt_base (trans (cdr (assoc 10 dxf_ins)) (car e_ins) 1))
(command "_.rotate" e_ins "" "_none" pt_base "_none" (polar pt_base (- (cdr (assoc 50 dxf_ins))) 10))
(command "_.rotate" e_ins "" "_none" pt_base "_none" (polar pt_base x_alpha 10))
(princ "\n ou [Click+gauche] pour tourner de 90°/ ou [Click+droit] pour finir!.")
(while (and (not (member (setq key (grread nil 4 0)) '((2 13)))) (/= (car key) 25))
(command "_.rotate" e_ins "" "_none" pt_base "_none" (polar pt_base (/ pi 2.0) 10))
)
(redraw)
)
)
)
(T (princ "\nCe n'est pas un bloc!"))
)
(setvar "angdir" old_adir)
(setvar "angbase" old_abase)
(setvar "osmode" old_osmd)
(setq *error* olderr)
(setvar "cmdecho" 1)
(princ)
)
 

Image IPB
0

#14 L'utilisateur est hors-ligne   Titi95 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2061
  • Inscrit(e) : 22-septembre 10
  • Location95 / 78

Posté 02 janvier 2017 - 18:15

Voir le messagephilsogood, le 02 janvier 2017 - 17:57 , dit :

Titi t'as pas eu un bescherelle pour Noel toi!! ;)
Bonne année
Phil


C'est ce qui ce passe quand je suis trop pressé et que je ne prends pas le temps de me relireImage IPB l'essentiel est d'avoir répondu non ? Image IPB

Mais venant de toi c’est un peu l’hôpital qui se moque de la charité Image IPB

bonne année Image IPB
0

#15 L'utilisateur est hors-ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7022
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 02 janvier 2017 - 18:42

Coucou

Mais venant de toi c’est un peu l’hôpital qui se moque de la charité (je confirme)
chez nous on dit :
c'est la poêle qui dit au chaudron : t'as le cul noir !



Éternel débutant ...
0

#16 L'utilisateur est hors-ligne   Pierre-Yves 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 49
  • Inscrit(e) : 30-janvier 15

Posté 03 janvier 2017 - 11:22

Bonjour à tous,

Je me permet de rester dans le même sujet.

Après avoir suivi vos nombreux conseils je suis arriver au résultat que je voulais donc je vous remercie.

Une petite question pratique car je suis sur les réglages du rendu, je me suis aperçu que lorsque je veux choisir l'arrière plan "ciel et soleil" je ne peux rien choisir dans la fenêtre qui apparait car elle est vide.

Impréssion ecran

Quelqu'un sait d’où cela peux venir? je me doute que c'est un réglage ou une variable mais je sais pas trop.

Merci d'avance.
AutoCad Map 3D 2016, COVADIS 15
0

#17 L'utilisateur est hors-ligne   Titi95 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2061
  • Inscrit(e) : 22-septembre 10
  • Location95 / 78

Posté 03 janvier 2017 - 21:37

Ok temps mieux
Par contre le mieux est d'ouvrir un nouveau poste pour une nouvelle question


pour ton ciel c'est surement que tu es en vue parallèle
clic droit sur le view cube en haut a droite et passe en perspective
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)